---
title: "Bitwarden - Open Source password manager"
date: 2020-08-20
draft: false
tags: ["security","tools"]
archive: ["Technical Stuff"]
series: [""]
featuredImage: "/img/bitwarden/bitwarden.gif"
---
# Bitwarden - a great password manager

I used 1 Passwor for years to keep my passwords safe. The program has always served me well.
When the company changed its licensing model a few years ago, I looked for an alternative.
Since then, I have been using [Bitwarden](https://bitwarden.com/) instead and have never looked back since.

In contrast to other password managers such as 1 Passwor or Dashlane , Bitwarden is completely free and is available for all common platforms.
Plugins for all common browsers are also available.

What I personally find very exciting is that Bitwarden is open source. In addition, Bitwarden operates a Bug Bounty Program via Hackerone in order to be able to quickly uncover bugs and security problems.

## Features 
 
The functionality is basically what you would expect to from such programs. The interface reminds me a lot of 1Passwor which of course makes the switch much easier. In addition to access data, you can also save secure notes, credit cards or identity data.
With a browser extension you can e.g. fill in credit card details or login forms with one click.

![User Interface](/img/bitwarden/bitwarden1.gif "Interface")
 
Functions such as 2-factor authentication are of course built in and work very well, e.g. if you have an authenticator app.
In the premium version you can also use the FIDO U2F security key if you want to be completely safe.
  
The synchronization runs flawlessly between all devices.
 
## Premium Features
 
There is also a premium version, which basically offers 1 GB of secure storage space and FIDO U2F security key or duo support.
Most of them should easily get there with the free range of functions. I booked the premium variant myself, not so much because of the functions, but to provide a little support. $ 10 for the premium variant is really cheap.
  
A family account is available for $ 12 a year for up to 5 users. What I think is very nice here is that you can share entries with each other.

## Conclusion
 
Bitwarden is a really good password manager and a great example that open source software has to be in no way inferior to a commercial solution.
 

