---
title: "Orchid - Dezentrales VPN"
date: 2020-08-27
draft: true
tags: ["sicherheit","tools","vpn","privatsphäre","anonym"]
archiv: ["Archive"]
featuredImage: "/img/orchid/orchid.gif"
---
# Privatsphäre im heutigen Internet

Machen wir uns nichts vor. Die Zeiten, in denen das Internet ein freier Ort war, sind längst vorbei. Die vielen vermeintlich kostenlosen Dienste der Web 2.0 Ära kosten uns unsere Privatsphäre und werden durch unsere Daten und Online-Gewohnheiten finanziert.
Ich will hier jetzt gar nicht klagen. Deutschland ist mit Sicherheit nicht die allerschlechteste Wahl, wenn es um den Schutz persönlicher Daten angeht. Die EU versucht ja immerhin die Sammelwut diverser Großkonzerne zu begrenzen. 

Ich habe mir lange Zeit keine Gedanken um so etwas gemacht. Frei nach dem Motto "Ich habe ja eh nichts zu verbergen." habe ich mir auch nicht viel dabei gedacht, was mit meinen Daten so passiert.
In den letzten Jahren ist es aber leider sehr viel schlimmer geworden und hat teilweise gruselige Ausmaße angenommen. Werbung ist einfach allgegenwärtig.
Ich habe früher immer gerne Werbung gesehen und fand es immer toll auf das eine oder andere interessante Produkt hingewiesen zu werden. Das ist leider lange vorbei.

Ich will jetzt hier auch kein generelles Urteil fällen. Es gehören immer zwei Seiten dazu und wir als Konsumenten  und Kunden haben durchaus Einfluss auf die Situation. Die Sache ist die: Wenn wir alles umsonst haben wollen, müssen Firmen wie Google, E-Mail Anbieter und soziale Netzwerke sich Möglichkeiten überlegen um trotz kostenloser Dienste profitabel arbeiten zu können.

Es scheint auch so, dass das aktuelle  Modell attraktiver für die meisten Konzerne ist. Zumindest ist es bisher so, dass man bei nur wenigen Anbietern die Wahl hat. Vielleicht würde ja der eine oder andere gerne ein paar Euro für einen Dienst bezahlen und dafür eine werbefreie Erfahrung genießen.


## Mein persönliches Setup

Ein Teil meiner Strategie ist, dass ich, da wo es Sinn ergibt ,auf kostenpflichtige Dienste setze. Z.B. nutze ich für meine E-Mail [HEY](https://hey.com/). Außerdem habe ich ein YouTube Premium Abo, da ich Youtube sehr viel nutze und man hier für vergleichsweise wenig Geld viel Werbung erspart bekommt.

Zusätzlich setze ich [Pi Hole](https://pi-hole.net/) als DNS Server ein, d.h. der gesamte Internetverkehr geht durch den Pi Hole Server. Pi Hole leistet wirklich gute Arbeit beim Entfernen Werbeanzeigen. 

Als Browser nutze ich [Brave](https://brave.com/). Meiner Meinung nach hat Brave viele Punkte in Sachen Privatsphäre sehr gut gelöst. Auch der Ansatz, dass man für das Einblenden Werbung BAT Token verdient finde ich einen guten Ansatz. So kann man selbst entscheiden, ob und wie viel Werbung man sehen möchte.

Zusätzlich dazu nutze ich auch ab und zu einen VPN Dienst. Bisher hatte ich hier den Dienstleister IPVanish genutzt. Also mein Abo bei diesem Dienst vor ein paar Wochen auslief, habe ich mich nach Alternativen umgesehen. Ich bin dabei auf das [Orchid](https://www.orchid.com/) Netzwerk gestoßen.

## Was ist Orchid

Orchid ist im Wesentlichen ein dezentraler VPN Marktplatz. Mit eigener Crypto Währung und Smart Contracts auf Basis der Ethereum Blockchain werden die Transaktionen zwischen Usern und VPN Anbietern dezentral abgewickelt.
Der komplette Marktplatz ist peer-to-peer, d.h. es gibt keine zentrale Verwaltung.

Man kann über die Orchid App mit einem Klick eine sichere VPN Verbindung herstellen, der Rest läuft im Hintergrund. Auch Verbindungen aus mehreren Sprüngen/Hops, so wie manch einer es vom Tor Netzwerk kennt, sind möglich. Hier ist jeder Sprung im Grunde eine zusätzliche VPN Verbindung.

Die Währung OXT dient dazu, die Zahlungen, genannt Nanopayments, zwischen VPN Nutzern und Anbietern abzuwickeln. Gleichzeitig müssen die Anbieter OXT Anteile halten um am Netzwerk teilnehmen zu können. 

Die Abrechnung erfolgt nach verbrauchter Bandbreite. Laut [diesem Artikel](https://blog.orchid.com/how-much-does-bandwidth-cost-on-orchid/) entspricht ein OXT einem Datenvolumen rund 10 GB. 

Orchid kann jedem genutzt werden, ohne Registrierung und ohne persönliche Daten. Es gibt keine Laufzeit und keine Verträge. Man benötigt lediglich ein Wallet, dass mit OXT aufgeladen ist und kann loslegen.
Für den einfachen Einstieg bietet Orchid eine App für iOS, Android und macOS. Eine Windows App soll bald folgen. 

## Einen Account einrichten

Für die Einrichtung eines Accounts gibt es 2 Möglichkeiten. 

1. Ihr könnt in der App einen Orchid Account kaufen. Ihr bekommt dafür einen Account der bereits mit OXT aufgeladen ist und könnt sofort loslegen.
2. Ihr könnnt selbst einen Account anlegenn

![Account kaufen](/img/orchid/account.gif "Einen Orchid Account kaufen")

Wie das genau mit dem selbst angelegten Account funktioniert zeigt einem die [Orchid Webseite](https://www.orchid.com/join). 
Für die Einrichtung des Accounts müssen ausreichend OXT Credits vorhanden sein. Zurzeit sind dazu 65 OXT notwendig, was beim aktuellen Kurs(28.08.2020) etwa 25 € entspricht.

Für den Kauf der OXT Credits gibt es verschiedene Wege. Man kann die Credits einfach bei einem Anbieter wie [Coinbase](https://www.coinbase.com/join/knig_ij) kaufen. 

Da man sich bei nahezu jedem Anbieter verifizieren muss, ist dieser Vorgang im ersten Moment nicht gerade anonym.
Das muss er aber auch gar nicht sein. Die Anbieter, bei denen man Cryptowährungen kaufen kann, verwalten die Bestände der Kunden auf internen Konten. Wenn man jetzt dort aus Coins an eine Wallet Adresse sendet, kann mann zwar die Transaktion auf der Blockchain sehen, es gibt aber keine Möglichkeit herauszufinden wer die Coins ursprünglich gekauft hat (es sei denn der Anbieter wird gehacked).

## Die Orchid App nutzen

Hat man seinen Account, ist die Einrichtung denkbar einfach. Man fügt einfach einen Hop/Sprung hinzu und hinterlegt seinen Account. 

![Einrichtung](/img/orchid/hop.gif "Einen Hop einrichten")

Ein Hop ist dabei immer jeweils eine VPN Verbindung. Wie man am Bild oben sieht, muss ein Hop nicht zwangsläufig ein Orchid Account sein. Ihr könnt hier auch eine beliebige OpenVPN oder WireGuard Konfiguration hinterlegen.
Man kann mehrere Hops einrichten und so die Anonymisierung noch verstärken. Man muss sich aber auch darüber klar sein, dass mehrere Hops mit Orchid Accounts auch zu höherem OXT Verbrauch führen.

Hat man seine Hops eingerichtet muss man eigentlich nur noch den Connect Button drücken:

![Verbinden](/img/orchid/connect.gif "Verbindung mit dem Orchid Netzwerk herstellen")

## Wie anonym ist das Ganze?

Wenn man einem einzelnen Hop ausgeht, ist man ungefähr so anonym wie bei einem herkömmlichen VPN Anbieter, d.h. der VPN Anbieter weiß die folgenden Dinge:

 welchen ISP Du benutzt
 wie Deine IP Adresse lautet
 welche Internetseiten Du besuchst

Außerdem ist die Zahlung Ethereum Adresse Deines Orchid Account zur Ethereum Adresse des VPN Anbieters auf der Blockchain einsehbar. Der VPN Anbieter weiß aber trotzdem nicht, wem die Ethereum Adresse gehört.
Dein ISP allerdings weiß nur noch über Deine Verbindung zum VPN Anbieter Bescheid und kann nicht nachvollziehen welche Webseiten Du besuchst.
Auch die besuchten Webseiten wissen weniger über Dich, Deine Herkunft und Dein ISP sind z.B. nicht mehr für die Webseiten verfügbar.

### Mit mehreren Hops arbeiten

Wer sehr viel Wert auf seine Privatsphäre legt, kann auch mit mehreren Hops arbeiten. Bei mehreren Hops über Orchid Accounts ist es sinnvoll, wenn das unterschiedliche Accounts nutzt. Dadurch gibt es für keinen Anbieter wirklich brauchbare Informationen.
Welche Inhalte man aufruft weiß nur der letzte Anbieter in der Kette, wie die ursprüngliche IP Adresse lautet und welchen Internetanbieter man nutzt weiß hingegen nur der erste Anbieter.

![Mehrere Hops](/img/orchid/multihop.gif "Mit mehreren Hops arbeiten")

Man muss hier auch nicht mit eigenen Accounts arbeiten. Der Orchid App ist es völlig egal zu wem der Account gehört und bietet einem die Möglichkeit Accounts einfach weiterzugeben oder zu teilen.
Es können auch mehrere Leute einen Account gleichzeitig nutzen.

### Nachteile mehrerer Hops

So schön mehrere Hops auch für die Privatsphäre sind, es gibt auch Nachteile. Je mehr Sprünge die Verbindung macht desto höher wird die Latenz. Die Geschwindigkeit wird dadurch ebenfalls negativ beeinflusst. Ein anderer Faktor ist der OXT Verbrauch. 4 Hops = 4x so hoher Verbrauch Credits. 


## TL;DR

Orchid ist eine flexible und auch günstige Lösung, die Sicherheit und Privatsphäre gewährleistet. Durch die Abrechnung per Crypto Währung nach Datenvolumen zahlt man auch wirklich nur das, was man auch nutzt. Die Token verfallen auch nicht.
Einmal gekauft ist es egal ob man die OXT Token in 4 Wochen oder in 4 Jahren verbraucht.

Die Accounterstellung ist sehr einfach gehalten. Auch an Nutzer, die sich noch nie mit Blockchain und Ethereum befasst haben wurde gedacht, da man einfach fertige Accounts kaufen kann.

Orchid ist dezentral und es sind keinerlei persönliche Daten erforderlich um den Dienst zu nutzen. Dadurch muss man sein Vertrauen nicht in einen einzelnen Anbieter setzen, in der Hoffnung, dass dieser keine Logs schreibt oder Nutzerdaten weitergibt.

Die App ist wirklich sehr einfach zu bedienen, mit technischen Details muss man sich eigentlich gar nicht befassen. 

Interessant fände ich die Möglichkeit mit erweiterten Einstellungen zu arbeiten. Im Whitepaper gibt es einen Absatz zum Thema Node Auswahl anhan Metadaten wie Geolocation, Preis, Latenz etc. 
Ich fände es für die App durchaus interessant hier ein wenig Einfluss zu haben. Man hat ja auch nicht immer die gleichen Anforderungen. 

Das war's fürs Erste 😎

 
